geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Delos Dai (JIRA)" <j...@apache.org>
Subject [jira] Issue Comment Edited: (GERONIMODEVTOOLS-535) Add support for installing from update site for IBM RAD v7.5
Date Thu, 12 Feb 2009 01:39:59 GMT

    [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-535?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12669980#action_12669980
] 

delos edited comment on GERONIMODEVTOOLS-535 at 2/11/09 5:38 PM:
---------------------------------------------------------------------

Hi Tim,
Sorry for my delay!

1) For branding missing problem, I think you're right. We should add the branding in "about
eclipse platform" dialog. But it seems branding in RAD is not the same as that in base eclipse,
so the branding is missing. I will continue to investigate the branding problem in RAD.

2) About the specific version in <import feature> tag, in fact, the version is copied
from the plugin contained in WTP 2.0.0, for replacing the org.eclipse.jst 2.0.0

3) About the RAD 7.5.1 installation problem, it seems you didn't install GEP with right version.
I haven't got a RAD 7.5.1 to reproduce it (I will try RAD 7.5.1). But I suggest you try again.
Make sure that uncheck all the other sites in update manager of eclipse, when you install
GEP from local site. 

Thanks very much!

      was (Author: delos):
    Hi Tim,
Sorry for my delay!

1) For branding problem missing, I think you're right. We should add the branding in "about
eclipse platform" dialog. But it seems branding in RAD is not the same as that in base eclipse,
so the branding is missing. I will continue to investigate the branding problem in RAD.

2) About the specific version in <import feature> tag, in fact, the version is copied
from the plugin contained in WTP 2.0.0, for replacing the org.eclipse.jst 2.0.0

3) About the RAD 7.5.1 installation problem, it seems you didn't install GEP with right version.
I haven't got a RAD 7.5.1 to reproduce it (I will try RAD 7.5.1). But I suggest you try again.
Make sure that uncheck all the other sites in update manager of eclipse, when you install
GEP from local site. 

Thanks very much!
  
> Add support for installing from update site for IBM RAD v7.5
> ------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-535
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-535
>             Project: Geronimo-Devtools
>          Issue Type: Bug
>          Components: eclipse-plugin
>    Affects Versions: 2.1.3
>         Environment: IBM RAD v7.5
>            Reporter: Delos Dai
>            Assignee: Tim McConnell
>             Fix For: 2.2.0, 2.1.4
>
>         Attachments: GERONIMODEVTOOLS-535.patch
>
>
> Now, in feature.xml of GEP, we have this snippet:
> <requires>
>       <import feature="org.eclipse.jst" version="2.0.0" match="greaterOrEqual"/>
> </requires>  
> Since no "org.eclipse.jst" feature exist in RAD , we have to replace "org.eclipse.jst"
feature with the sub-features of "org.eclipse.jst". 
> The section above can be replaced with this snippet:
> <requires>
>   <import feature="org.eclipse.jst.common_core.feature" version="2.0.0.v200706041905-1007w311817231426"

> 		match="greaterOrEqual"/>     	
> 	<import feature="org.eclipse.jst.server_ui.feature" version="2.0.2.v200802150100-77-CT9yJXEkuiKVeQrclqTHQ3648"
> 		match="greaterOrEqual"/>
> 	<import feature="org.eclipse.jst.server_adapters.feature" version="2.0.2.v200802150100-787KE8iDUUEF6GwKwpHEQ"
> 		match="greaterOrEqual"/>
> 	<import feature="org.eclipse.jst.web_ui.feature" version="2.0.2.v200802150100-7B1DzCkuNa_RPevwkwB1iJ6z-0RH"

> 		match="greaterOrEqual"/>
>   	<import feature="org.eclipse.jst.enterprise_ui.feature" version="2.0.2.v200802150100-7b7_Es8EU6AXOV9QLJSees1SQoYQ"
> 		match="greaterOrEqual"/>
> </requires>
> The sole plugin of "org.eclipse.jst" feature and optional sub-feature "org.eclipse.jst.webpageeditor.feature"
can't be found in the plugin list of RAD.  GEP doesn't require these two items, then don't
need to add them into the required section.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message